	.opt proc65c02,caseinsensitive
;* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
;*                                                                                 *
;*                     NXP MULTICHANNEL UART DRIVERS FOR 65C816                    *
;*                                                                                 *
;* This package includes a complete driver for the NXP 26/28 series of multichan-  *
;* nel "industrial" UARTs, written to work with the 65C816.  You will need to make *
;* a detailed study of the code in order to adapt it to your system.               *
;*                                                                                 *
;*  *
;*      Copyright 1991-2015 by BCS Technology Limited.  All rights reserved.      *
;*                                                                                 *
;* Permission is hereby granted to use, copy, modify and distribute this software, *
;* provided this copyright notice remains unaltered in the source code and  proper *
;* attribution is given.  Redistribution, in any form, must be at no charge to the *
;* end user.  This code or any part  thereof, including any derivation, MAY NOT be *
;* incorporated into any package intended for sale unless written permission to do *
;* so has been granted by the copyright holder.                                    *
;*                                                                                 *
;* THERE IS NO WARRANTY OF ANY KIND WITH THIS SOFTWARE.                            *
;*                                                                                 *
;* While it is believed that all code will perform as intended,  the user  assumes *
;* all risk in connection with the incorporation of this software into any system. *
;*                                                                                 *
;* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
;
         .include "include\816macs.asm"
         .include "include\atomic.asm"
         .include "include\architecture.asm"
         .include "include\calendrics\atomic.asm"
         .include "include\hardware\nxp\common.asm"
         .include "include\hardware\nxp\registers.asm"
         .include "include\hardware\nxp\data.asm"
         .include "include\hardware\nxp\28l92.asm"	;...
;
;	
;	Change the above statement to INCLUDE the info file for the UART you
;	are using.  Only one such file should be INCLUDed.  Note that I have
;	not created an info file for the 28L91 single UART.
;	
;
         .include "include\hardware\wdc\65c816.asm"
         .include "include\kernel\constants_tia232.asm"
         .include "include\kernel\directpage.asm"
         .include "include\kernel\absolute.asm"
         .include "include\kernel\devices.asm"
;================================================================================
;
;DRIVER JUMP TABLE
;
;	
;	The following jump table is for use by higher level code that will
;	call various driver functions.  All are subroutines that require
;	specific entry conditions.  Read the comments in each function for
;	greater detail.
;	
;
         *=$8000               ;test assembly address
;
         jmp getcha            ;read from TIA-232 channel A
         jmp getchb            ;read from TIA-232 channel B
	.if .ref(nx28c94)
         jmp getchc            ;read from TIA-232 channel C
         jmp getchd            ;read from TIA-232 channel D
	.endif
         jmp putcha            ;write to TIA-232 channel A
         jmp putchb            ;write to TIA-232 channel B
	.if .ref(nx28c94)
         jmp putchc            ;write to TIA-232 channel C
         jmp putchd            ;write to TIA-232 channel D
	.endif
         jmp chanbctl          ;disable/enable TIA-232 channel B
         jmp getuxtim          ;get UNIX time
         jmp getsutim          ;get system up time
         jmp setuxtim          ;set UNIX time
         jmp hrst              ;reset/setup
;
         .include "kernel\hardware.asm"
         .include "kernel\interrupt_hard.asm"
         .include "kernel\primitive.asm"
         .include "kernel\reset.asm"
         .include "kernel\time.asm"
         .include "tables\nxp_duart.asm"	;will not work with 28C94
         .include "tables\tia232.asm"
;================================================================================
 .end