;================================================================================
;
;PHILIPS/NXP MULTIPLE UART COMMON DEFINITIONS
;
;	
;	The definitions in this file are common to all NXP multiple channel UART
;	devices.  Edit at your own peril!
;	
;
n_nxpblk .= 0                  ;blocks in UART
n_nxpch  .= 0                  ;channels in UART
;
;	
;	The above are placeholders that will be later defined to reflect the
;	characteristics of the installed UART.  The driver blithely assumes
;	that only one UART type will be present in the system.
;	
;
n_nxpcpb =2                    ;channels per block
s_nxpch  =8                    ;channel spacing in block
s_nxpblk =s_nxpch*n_nxpcpb     ;size of a block
;
;
;	channel status analysis masks...
;
nxprxdr  =@00000001            ;RxD: FIFO not empty
nxprxdf  =@00000010            ;RxD: FIFO full
nxptxdr  =@00000100            ;TxD: FIFO not full
nxptxdur =@00001000            ;TxD: FIFO empty
nxprxdor =@00010000            ;RxD: FIFO overrun
nxpparer =@00100000            ;RxD: parity error
nxpfrmer =@01000000            ;RxD: framing error
nxpbreak =@10000000            ;RxD: break
;
;
;	interrupt status analysis masks...
;
nxpatirq =@00000001            ;ch A: TxD
nxparirq =@00000010            ;ch A: RxD
nxpabirq =@00000100            ;ch A: break change
nxpctirq =@00001000            ;C/T: underflow
nxpbtirq =@00010000            ;ch B: TxD
nxpbrirq =@00100000            ;ch B: RxD
nxpbbirq =@01000000            ;ch B: break change
nxpipirq =@10000000            ;input port change
;
;
;	IRQ enable masks...
;
nxpairq  =nxpatirq|nxparirq        ;enable ch A RxD & TxD IRQs
nxpbirq  =nxpbtirq|nxpbrirq        ;enable ch B RxD & TxD IRQs
nxpiqmsk =nxpairq|nxpbirq|nxpctirq ;set IRQ sources...
;
;	
;	Above also enables C/T interrupts.  There is code in the hard interrupt
;	handler to keep time via C/T interrupts.  Be sure to read it.
;	
;
	.end