;================================================================================
;
;TIA-232 PROCESSING CONSTANTS
;
;	
;	This file defines the nature of the TIA-232 buffers, as well as the in-
;	dexing of the the UART channels.  Most of this is automatic in nature &
;	should not be changed, other than the buffer size.  If you do change
;	the buffer size be sure to make it an integral power of 2, e.g., 32,
;	128, etc.  The minimum recommended buffer size is 64, with larger buffer
;	sizes suggested to reduce transmission blocking & dropped inbound data.
;	Buffer sizes greater than 256 are not supported in this driver.
;	
;
s_tiabuf =128                  ;I/O buffer size  set as required
;
n_tiabuf =n_nxpch*2            ;total I/O buffers
n_tiabix =2                    ;total I/O buffer indexes
s_tiaspc =s_tiabuf*n_tiabuf    ;required I/O buffer space
tiaxmask =s_tiabuf-1           ;buffer index wrap mask
;
;
;	NXP UART communication channel indices...
;
nxpchana =0                    ;channel A
nxpchanb =nxpchana+1           ;channel B
nxpchanc =nxpchanb+1           ;channel C
nxpchand =nxpchanc+1           ;channel D
nxpchane =nxpchand+1           ;channel E
nxpchanf =nxpchane+1           ;channel F
nxpchang =nxpchanf+1           ;channel G
nxpchanh =nxpchang+1           ;channel H
;
	.end