;================================================================================
;
;DIRECT PAGE STORAGE
;
;	
;	This file defines the direct page storage used by the DUART driver & ISR
;	functions.  The symbol kerneldp sets the specific address at which the
;	effective direct page begins.  There is limited reference to kerneldp
;	in this driver.
;	
;
kerneldp =zeropage             ;start of DP  see include\architecture.asm...
;
;
;	interrupt-driven counters & timers...
;
jiffct   =kerneldp             ;jiffy counter (0-100)
uptime   =jiffct+s_byte        ;uptime counter (0-4,294,967,295 secs)
uxtime   =uptime+s_utcnt       ;UNIX time (0-281,474,976,710,655 secs)
;
;
;	TIA-232 working pointers...
;
tiaacr   =uxtime+s_time_t      ;active command register
tiaasr   =tiaacr+s_ptr         ;active status address
tiaafif  =tiaasr+s_ptr         ;active FIFO address
tiaabuf  =tiaafif+s_ptr        ;active buffer address
;
;
;	TIA-232 flags & indices...
;
tiagetrx =tiaabuf+s_ptr        ;RxD buffer 'get' index base
tiagettx =tiagetrx+n_nxpch     ;TxD buffer 'get' index base
tiaputrx =tiagettx+n_nxpch     ;RxD buffer 'put' index base
tiaputtx =tiaputrx+n_nxpch     ;TxD buffer 'put' index base
tiatxst  =tiaputtx+n_nxpch     ;TxD status base
;
zeropage .set tiatxst+s_byte   ;start of free direct page storage
;
	.end