;================================================================================
;
;icop: COPROCESSOR INTERRUPT SERVICE ROUTINE
;
icop     phb                   ;save DB
         phd                   ;save DP
         longr                 ;16 bit registers
         pha
         phx
         phy
;
;
;COP REGISTER STACK FRAME
;
cop_yrx  .= 1                  ;.Y
cop_xrx  .= cop_yrx+s_word     ;.X
cop_arx  .= cop_xrx+s_word     ;.A
cop_dpx  .= cop_arx+s_word     ;DP
cop_dbx  .= cop_dpx+s_mpudpx   ;DB
cop_srx  .= cop_dbx+s_mpudbx   ;SR
cop_pcx  .= cop_srx+s_mpusrx   ;PC
cop_pbx  .= cop_pcx+s_mpupcx   ;PB
;
;
         jmp (ivcop)           ;COP indirect vector...
;
;	
;	Point IVCOP to the BRK entry point of the M/L monitor.
;	
;
;================================================================================
;
;ibrk: SOFTWARE INTERRUPT REQUEST SERVICE ROUTINE
;
ibrk     phb                   ;save DB
         phd                   ;save DP
         longr                 ;16 bit registers
         pha
         phx
         phy
;
;
;BRK REGISTER STACK FRAME
;
brk_yrx  .= 1                  ;.Y
brk_xrx  .= brk_yrx+s_word     ;.X
brk_arx  .= brk_xrx+s_word     ;.A
brk_dpx  .= brk_arx+s_word     ;DP
brk_dbx  .= brk_dpx+s_mpudpx   ;DB
brk_srx  .= brk_dbx+s_mpudbx   ;SR
brk_pcx  .= brk_srx+s_mpusrx   ;PC
brk_pbx  .= brk_pcx+s_mpupcx   ;PB
;
;
         jmp (ivbrk)           ;BRK indirect vector
;
;	
;	Point IVBRK to the BRK entry point of the M/L monitor.
;	
;
	.end