;================================================================================
;
;getuptim: GET SYSTEM UP-TIME
;
;	
;	Preparatory Ops: .X: 16 bits: storage location
;
;	Returned Values: .A: entry value
;	                 .B: entry value
;	                 .X: entry value
;	                 .Y: entry value
;
;	MPU Flags: NVmxDIZC
;	           ||||||||
;	           ||||||++> entry value
;	           |||||+> 0
;	           +++++> entry value
;	
;
getsutim cli                   ;IRQs must be...
         php                   ;enabled on exit
         longr
         phy                   ;save MPU state
         phx
         pha
         ldaw uptime           ;data source
         ldyw s_word           ;data index
         bra GETTMCOM          ;copy
;
;================================================================================
;
;getuxtim: GET UNIX TIME
;
;	
;	Preparatory Ops: .X: 16 bits: storage location
;
;	Returned Values: .A: entry value
;	                 .B: entry value
;	                 .X: entry value
;	                 .Y: entry value
;
;	MPU Flags: NVmxDIZC
;	           ||||||||
;	           ||||||++> entry value
;	           |||||+> 0
;	           +++++> entry value
;	
;
getuxtim cli                   ;IRQs must be...
         php                   ;enabled on exit
         longr
         phy                   ;save MPU state
         phx
         pha
         ldaw uxtime           ;data source
         ldyw s_time_t-s_word  ;data index
;
GETTMCOM pha                   ;set data source
;
;
.source  =1                    ;data source
.reg_c   =.source+s_ptr        ;.C
.reg_x   =.reg_c+s_word        ;data destination
.reg_y   =.reg_x+s_word        ;.Y
.reg_sr  =.reg_y+s_word        ;SR
;
;
         sei                   ;suspend updating
;
.0000010 ldasi .source         ;copy source to...
         stasi .reg_x          ;destination
         .rept s_word
             dey
         .endr  
         bpl .0000010          ;next
;
         pla                   ;clean up stack           
         pla                   ;restore MPU state
         plx
         ply
         plp
         rts
;
;================================================================================
;
;setuxtim: SET UNIX TIME
;
;	
;	Preparatory Ops: .Y: 16 bits: time number location
;
;	Returned Values: .A: used
;	                 .B: used
;	                 .X: used
;	                 .Y: used
;
;	MPU Flags: NVmxDIZC
;	           ||||||||
;	           ||||||++> entry value
;	           |||||+> 0
;	           +++++> entry value
;	
;
setuxtim cli                   ;IRQs must be enabled...
         php                   ;on exit
         longr
         phy
         phx
         pha
         ldaw s_time_t-1       ;bytes to copy
         ldyw uxtime           ;time "register"
         sei                   ;don't interrupt us...
         mvn 0,0               ;while we copy
         pla
         plx
         ply
         plp
         rts
;
	.end