;================================================================================
;
;MPU HARDWARE VECTORS
;
;	
;	The following code defines the MPU hardware vectors.  When operating in
;	native mode, the 65C816 looks to the range $00FFE0-$00FFEF for vectors
;	related to interrupt processing.  As a hard reset forces the '816 back
;	to emulation mode, the reset vector will always be at $00FFFC-D.  Note
;	how undefined vectors are set to $FFFF so the corresponding fuses in the
;	EPROM are not blown during programming.  Also, this procedure assures
;	that the program counter is correctly incremented during assembly.
;	
;
         *=mm_mpuv             ;native mode MPU vector base ($00FFE0)
;
         .word $ffff           ;undefined
         .word $ffff           ;undefined
v_icop   .word icop            ;COP: coprocessor interrupt
v_ibrk   .word ibrk            ;BRK: software interrupt
v_iabt   .word iabt            ;ABT: abort interrupt
v_inmi   .word inmi            ;NMI: non-maskable interrupt
         .word $ffff           ;undefined
v_iirq   .word iirq            ;IRQ: interrupt request
         .word $ffff           ;undefined
         .word $ffff           ;undefined
         .word $ffff           ;undefined
         .word $ffff           ;undefined
         .word $ffff           ;undefined
         .word $ffff           ;undefined
v_hrst   .word hrst            ;RST: hardware reset
         .word $ffff           ;undefined
;
	.end