;================================================================================
;
;PHILIPS/NXP DUAL UART INITIALIZATION DATA
;
;	
;	The following data table is used to initialize the 26C92 & 28L92 DUARTs
;	following reset.  Each entry in this table consists of a chip register
;	offset paired with the parameter that is to be loaded into the register.
;	Table entries are read in reverse order during device setup.  Parameters
;	are defined in include_hardware\nxp\data.asm & are to be modified there,
;	not here.  Only edit this table if you need to add or delete an entry.
;	
;
nxpsutab .byte nx_imr, nxpiqmsk  ;IMR (enables IRQs)
         .byte nx_ctu, nxpctdhi  ;CTU
         .byte nx_ctl, nxpctdlo  ;CTL
         .byte nx_crb, nxpcrtxe  ;CRB
         .byte nx_csrb,nxpcsdef  ;CSRB
         .byte nx_mrb, nxpm2def  ;MR2B
         .byte nx_mrb, nxpm1def  ;MR1B
         .byte nx_crb, nxpcrmr1  ;CRB
         .byte nx_mrb, nxpm0def  ;MR0B
         .byte nx_crb, nxpcrmr0  ;CRB
         .byte nx_cra, nxpcrrsa  ;CRA
         .byte nx_cra, nxpcrrte  ;CRA
         .byte nx_csra,nxpcsdef  ;CSRA
         .byte nx_mra, nxpm2def  ;MR2A
         .byte nx_mra, nxpm1def  ;MR1A
         .byte nx_cra, nxpcrmr1  ;CRA
         .byte nx_mra, nxpm0def  ;MR0A
         .byte nx_cra, nxpcrmr0  ;CRA
         .byte nx_acr, nxparbrt  ;ACR
         .byte nx_opcr,nxpopdef  ;OPCR
         .byte nx_crb, nxpcrtmd  ;CRB
         .byte nx_crb, nxpcresr  ;CRB
         .byte nx_crb, nxpcrbir  ;CRB
         .byte nx_crb, nxpcrtxr  ;CRB
         .byte nx_crb, nxpcrrxr  ;CRB
         .byte nx_crb, nxpcrrsd  ;CRB
         .byte nx_cra, nxpcrtmd  ;CRA
         .byte nx_cra, nxpcresr  ;CRA
         .byte nx_cra, nxpcrbir  ;CRA
         .byte nx_cra, nxpcrtxr  ;CRA
         .byte nx_cra, nxpcrrxr  ;CRA
         .byte nx_cra, nxpcrrsd  ;CRA
         .byte nx_cra, nxpcrpdd  ;CRA
         .byte nx_imr, 0         ;IMR (disables all IRQs)
s_nxptab =*-nxpsutab
;
	.end
