;================================================================================
;
;TIA-232 I/O PROCESSING DATA TABLES
;
nxpchtab                       ;UART channels
.a       .= io_acia
         .rept n_nxpch
             .word .a
.a           .= .a+s_nxpch
         .endr         
;
nxpsrtab                       ;UART status registers
.a       .=io_acia+nx_sr
         .rept n_nxpch
             .word .a
.a           .= .a+s_nxpch
         .endr
;
nxpcrtab                       ;UART command registers
.a       .=io_acia+nx_cr
         .rept n_nxpch
             .word .a
.a           .= .a+s_nxpch
         .endr
;
nxpfitab                       ;UART FIFOs
.a       .=io_acia+nx_rhr
         .rept n_nxpch
             .word .a
.a           .= .a+s_nxpch
         .endr
;
nxpirtab                       ;UART IRQ registers
.i       .= nx_isr
         .rept n_nxpblk
             .byte .i
.i           .= .i+s_nxpblk
         .endr
;
nxprbtab                       ;RxD buffers
.a       .=tiabufs
         .rept n_nxpch
             .word .a
.a           .=.a+s_tiabuf         
         .endr
;
nxptbtab                       ;TxD buffers
.a       .=s_tiabuf*n_nxpch+tiabufs
         .rept n_nxpch
             .word .a
.a           .=.a+s_tiabuf
         .endr
;
nxprqtab                       ;RxD IRQ status masks
         .rept n_nxpblk
             .byte nxparirq,nxpbrirq
         .endr
;
nxptqtab                       ;TxD IRQ status masks
         .rept n_nxpblk
             .byte nxpatirq,nxpbtirq
         .endr
;
tiatstab                       ;TxD enable status flags
.i       .= 0
         .rept n_nxpch
             .byte 1 << .i
.i           .= .i + 1
         .endr
;
	.end